# Created by pyp2rpm-3.3.2
%global pypi_name dpaste

Name:           python-%{pypi_name}
Version:        3.5
Release:        %mkrel 4
Summary:        A Django based pastebin for text and code
Group:          Development/Python
License:        MIT
URL:            https://github.com/bartTC/dpaste
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(django-csp)
BuildRequires:  python3dist(django-staticinline)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(jsx-lexer)
BuildRequires:  python3dist(misaka)
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxcontrib-httpdomain)

%description
dpaste is a pastebin application written in Python using the Django framework.
You can find a live installation on dpaste.de.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(django)
Requires:       python3dist(django-csp)
Requires:       python3dist(django-staticinline)
Requires:       python3dist(docutils)
Requires:       python3dist(jsx-lexer)
Requires:       python3dist(misaka)
Requires:       python3dist(pygments)
Requires:       python3dist(six)

Obsoletes:	python3-django-dpaste < 0.2.4-14
Provides:	dpaste = %{version}-%{release}

%description -n python3-%{pypi_name}
dpaste is a pastebin application written in Python using the Django framework.
You can find a live installation on dpaste.de.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
#PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
#PYTHONPATH=${PWD} \
#{__python3} runtests.py

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
#doc html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 3.5-4.mga9
+ Revision: 1839051
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.5-3.mga9
+ Revision: 1785061
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.5-2.mga9
+ Revision: 1733244
- Rebuild for python 3.9

* Fri Oct 30 2020 joequant <joequant> 3.5-1.mga8
+ Revision: 1640628
- update to 3.5

* Sun Feb 16 2020 umeabot <umeabot> 3.3.1-4.mga8
+ Revision: 1535533
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.3.1-3.mga8
+ Revision: 1451532
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 3.3.1-2.mga8
+ Revision: 1431071
- add patch to relax requires
- provide dpaste
- update description

* Wed Aug 21 2019 wally <wally> 3.3.1-1.mga8
+ Revision: 1430815
- imported package python-dpaste

